Name:           optipng
Version:        0.7.6
%define subrel  1
Release:        %mkrel 1
Summary:        A PNG optimizer and converter
Group:          Graphics/Utilities
License:        zlib
URL:            http://optipng.sourceforge.net/
Source0:        http://surfnet.dl.sourceforge.net/sourceforge/optipng/optipng-%{version}.tar.gz
Patch0:         optipng-0.7.6-circular-lzw-sfbug-69.patch
Patch1:         optipng-0.7.6-int-overflow-sfbug-65.patch
BuildRequires:  zlib-devel 
BuildRequires:  libpng-devel

%description
OptiPNG is a PNG optimizer that recompresses image files to a smaller size,
without losing any information. This program also converts external formats
(BMP, GIF, PNM; TIFF support is coming up) to optimized PNG, and performs PNG
integrity checks and corrections.

%prep
%setup -q
%apply_patches

%build
./configure -with-system-zlib -with-system-libpng
%make CFLAGS="%{optflags}" LDFLAGS="%{ldflags}"

%install
%makeinstall_std prefix=%{_prefix} man1dir=%{_mandir}/man1

%files
%doc README.txt LICENSE.txt doc/*
%{_bindir}/optipng
%{_mandir}/man1/optipng.*


%changelog
* Wed Dec 06 2017 danf <danf> 0.7.6-1.1.mga6
+ Revision: 1181594
- Added int-overflow-sfbug-65.patch to fix CVE-2017-1000229
  Added circular-lzw-sfbug-69.patch to fix CVE-2017-16938
  Fixes bug #22099

* Mon Apr 04 2016 luigiwalser <luigiwalser> 0.7.6-1.mga6
+ Revision: 998426
- 0.7.6 (fixes CVE-2016-2191)
- remove CVE-2015-7802 patch (fixed upstream)

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sat Nov 28 2015 danf <danf> 0.7.5-4.mga6
+ Revision: 906893
- Added patch for CVE-2015-7802, which is apparently not a security issue

* Wed Oct 15 2014 umeabot <umeabot> 0.7.5-3.mga5
+ Revision: 750301
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.5-2.mga5
+ Revision: 683266
- Mageia 5 Mass Rebuild

* Fri May 30 2014 danf <danf> 0.7.5-1.mga5
+ Revision: 627817
- Upgraded to ver. 0.7.5. Major changes include:
- Allowed the handling of huge image files (> millions of pixels
   per row or column) to be independent of the libpng version.
- Allowed the option -preserve to save the file ownership (UID/GID) on Unix

* Sat Oct 19 2013 umeabot <umeabot> 0.7.4-4.mga4
+ Revision: 526188
- Mageia 4 Mass Rebuild

* Mon Jun 03 2013 fwang <fwang> 0.7.4-3.mga4
+ Revision: 436030
- rebuild for new libpng

* Sun Jan 13 2013 umeabot <umeabot> 0.7.4-2.mga3
+ Revision: 362188
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Other -> Graphics/Utilities

* Wed Oct 31 2012 luigiwalser <luigiwalser> 0.7.4-1.mga3
+ Revision: 311780
- 0.7.4

* Fri Oct 12 2012 luigiwalser <luigiwalser> 0.7.3-1.mga3
+ Revision: 305051
- fix RPM group
- 0.7.3 (fixes CVE-2012-4432)

* Sun Aug 26 2012 fedya <fedya> 0.7.2-1.mga3
+ Revision: 284031
- version update 0.7.2

* Wed Jun 27 2012 tv <tv> 0.7.1-1.mga3
+ Revision: 264202
- new version
- build with system libpng

* Sun Sep 18 2011 fwang <fwang> 0.6.5-2.mga2
+ Revision: 144990
- build with internal png

* Thu Jun 16 2011 tv <tv> 0.6.5-1.mga2
+ Revision: 108362
- new release

* Sun Feb 20 2011 eandry <eandry> 0.6.4-2.mga1
+ Revision: 54685
- remove buildroot
- bump for upgrade
- imported package optipng

